Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment Class Reference

This class represents a user group to role assignment. More...

Inheritance diagram for eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment:

## Public Member Functions
| getRoleLimitation ()
| Returns the limitation of the role assignment. More...
| getRole ()
| Returns the role to which the user group is assigned to. More...
| getUserGroup ()
| Returns the user group to which the role is assigned to. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $limitation
| $role
| $userGroup
Protected Attributes inherited from eZ\Publish\API\Repository\Values\User\RoleAssignment
| $id

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class represents a user group to role assignment.

Meant for internal use by Repository, type hint against API object instead.

Definition at line 16 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

## Member Function Documentation

## ◆ getRole()

eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment::getRole | ( |  | ) |

Returns the role to which the user group is assigned to.

Returns
  \eZ\Publish\API\Repository\Values\User\Role

Reimplemented from eZ\Publish\API\Repository\Values\User\RoleAssignment.

Definition at line 54 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

References eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment\$role.

## ◆ getRoleLimitation()

eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment::getRoleLimitation | ( |  | ) |

Returns the limitation of the role assignment.

Returns
  \eZ\Publish\API\Repository\Values\User\Limitation\RoleLimitation|null

Reimplemented from eZ\Publish\API\Repository\Values\User\RoleAssignment.

Definition at line 44 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

References eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment\$limitation.

## ◆ getUserGroup()

eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment::getUserGroup | ( |  | ) |

Returns the user group to which the role is assigned to.

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroup

Reimplemented from eZ\Publish\API\Repository\Values\User\UserGroupRoleAssignment.

Definition at line 64 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

References eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment\$userGroup.

## Member Data Documentation

## ◆ $limitation

eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment::$limitation
| protected

Definition at line 23 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

Referenced by eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment\getRoleLimitation().

## ◆ $role

eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment::$role
| protected

Definition at line 30 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

Referenced by eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment\getRole().

## ◆ $userGroup

eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment::$userGroup
| protected

Definition at line 37 of file Core/Repository/Values/User/UserGroupRoleAssignment.php.

Referenced by eZ\Publish\Core\Repository\Values\User\UserGroupRoleAssignment\getUserGroup().

The documentation for this class was generated from the following file:

- Core/Repository/Values/User/UserGroupRoleAssignment.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.